# 22. Virtuoso Functions Guide - registry_get

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
__any_grants
close
collation_define
complete_table_name
delay
end_result
exec
exec_next
exec_result
exec_result_names
identity_value
name_part
registry_get
registry_get_all
registry_name_is_pro...
registry_remove
registry_set
result
result_names
row_count
sequence_get_all
sequence_next
sequence_remove
sequence_set
set_identity_column
set_row_count
set_user_id
signal
sinv_create_inverse
sinv_create_key_mapp...
sinv_drop_inverse
sys_stat_analyze
sys_stat_histogram
table_drop_policy
table_set_policy
username
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## registry_get

Returns a current value of a registry setting
varchar registry_get (in name varchar);
Parameters
name – Name of the registry setting
Return Values

A string value associated to the registry by registry_set. If the variable does not exist, a 0 (zero) is returned.

Description

registry_get is used to retrieve values stored within database registry.

Examples
Setting and Retrieving Registry Settings

    SQL> select registry_get('var_demo');
    callret
    VARCHAR
    __________________________________________________________________

    NULL

    SQL> registry_set('var_demo', 'some arb data');

    SQL> select registry_get('var_demo');
    callret
    VARCHAR
    __________________________________________________________________

    some arb data

See Also

registry_get_all

registry_name_is_protected

registry_set

registry_remove

sequence_get_all

sequence_next

sequence_set

sequence_remove